Docs Rizler

V1 Functions

V1 Update Join Meeting Function

PATCHhttps://app.rizzdial.com/api/ai/agent/v1/manage/advanced/functions/join-meeting/{agent_id}
V1 Update Join Meeting Function
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v1/manage/advanced/functions/join-meeting/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "enabled": true,
  "isEnabled": true,
  "description": "value",
  "google_calendar": "value",
  "selectedCalendar": "value",
  "google_calendar_id": "value",
  "joinMeetingDescription": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

V1 Update Join Meeting Function#

Update Join Meeting function for an AI agent. V1 agents only.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

isEnabledbooleanbody

send only when changing this field

enabledbooleanbody

send only when changing this field

descriptionstringbody

may be null. send only when changing this field

joinMeetingDescriptionstringbody

may be null. send only when changing this field

selectedCalendarstringbody

may be null. send only when changing this field

google_calendarstringbody

may be null. send only when changing this field

google_calendar_idstringbody

may be null. send only when changing this field

curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v1/manage/advanced/functions/join-meeting/agent_123 \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"isEnabled":true,"enabled":true,"description":"value","joinMeetingDescription":"value","selectedCalendar":"value","google_calendar":"value","google_calendar_id":"value"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records